Class UmlBaseView

Declaration :

- C++ : class UmlBaseView : public UmlItem
- Java : abstract class UmlBaseView extends UmlItem

Directly inherited by : UmlView

Artifact : UmlBaseView

Operation UmlBaseView

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseView(in id : item_id, in s : string) :
- C++ : protected: UmlBaseView(void * id, const QCString & s) : UmlItem(id, s)
- Java : protected UmlBaseView(long id, String s)

All public operations : apply , children , childrenVisible , defined_ , deleteIt , description , getIdentifier , identifier_ , isMarked , isToolRunning , isWritable , kind , markedItems , moveAfter , name , parent , properties , propertyValue , referencedBy , set_childrenVisible , set_Description , set_isMarked , set_Name , set_PropertyValue , set_Stereotype , stereotype , supportFile , unload